/// <reference types="react" />
import { MotionComponentConfig } from ".";
import { CustomDomComponent } from "../render/dom/motion";
export interface MotionComponentOptions {
    forwardMotionProps?: boolean;
}
declare type CreateConfig<Instance = any, Props = any> = (Component: string | React.ComponentType<Props>, options: MotionComponentOptions) => MotionComponentConfig<Instance>;
/**
 * Creates a `motion` component for a specific renderer, ie DOM, Three.js etc.
 * Returns a proxied function that can either be used as a function:
 *
 * ```
 * motion('div')
 * motion(Component)
 * ```
 *
 * Or directly as a React component:
 *
 * ```
 * <motion.div />
 * ```
 */
export declare function createMotionProxy<MotionComponents>(createConfig: CreateConfig): (<Props>(Component: string | import("react").ComponentClass<Props, any> | import("react").FunctionComponent<Props>, options?: MotionComponentOptions) => CustomDomComponent<Props>) & MotionComponents & {
    custom: <Props_1>(Component: string | import("react").ComponentClass<Props_1, any> | import("react").FunctionComponent<Props_1>) => CustomDomComponent<Props_1>;
};
export {};
